Thunderbird crashes @ nsMsgLineStreamBuffer::ReadNextLine if repairing folder with large amount of messages

RESOLVED FIXED in Thunderbird 66.0

Status

defect
--
critical
RESOLVED FIXED
5 months ago
5 months ago

People

(Reporter: jyankauer, Assigned: jorgk)

Tracking

(Blocks 1 bug, {crash})

Thunderbird 66.0
Dependency tree / graph

Thunderbird Tracking Flags

(thunderbird_esr6065+ fixed, thunderbird65 fixed, thunderbird66 fixed)

Details

(crash signature)

Attachments

(1 attachment)

Reporter

Description

5 months ago
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.94 Safari/537.36

Steps to reproduce:

I tried repeatedly to repair a local folder in which C:\thunderbird_local\cur has a large number of message exist.


Actual results:

Thunderbird crashes, unless the folder has a "smaller" amount of messages, such as just under 10,000 message.   It crashes if there is a larger number (20,000 or more)   I don't know the exact amount that will cause Thunderbird to crash.


Expected results:

Thunderbird should have repaired the folder instead of crashing.   As it stands I will now have to break up a folder that had over 300K messages into multiple folders (dozens)   This all started when I attempted to move older messages into a local folder rather than a folder that is tied to an email address.  Thunderbird crashed and I can't repair the folder unless I break it up into dozens (maybe 30) smaller folders (time consuming task)
Reporter

Comment 1

5 months ago
IT was actually a sub-folder of C:\Thunderbird_local such as C:\Thunderbird_Local\Email1\Cur
Please post your crash IDs
see https://support.mozilla.org/en-US/kb/mozilla-crash-reporter-tb#w_viewing-crash-reports
Flags: needinfo?(jyankauer)
Reporter

Comment 3

5 months ago
Here are the submitted reports:

bp-9340c66e-1653-46af-b1d4-797810181227
	12/27/2018	12:18 AM
bp-07c6072c-b2f4-4d88-a35a-6e6410181223
	12/22/2018	8:08 PM
bp-97d42491-24db-43f7-b39a-d4e520181220
	12/20/2018	2:37 AM
bp-72ac9301-9292-492d-9c10-f56710181220
	12/20/2018	2:02 AM
bp-9734da36-7a6b-4ccf-8ba6-c11d20181220
	12/20/2018	12:54 AM
bp-f448c87d-cc6e-460e-9cb9-fcbfe0181220
	12/19/2018	11:59 PM
bp-f99f3b3a-2e5d-43da-8eb6-d57f20181220
	12/19/2018	11:30 PM
bp-c5f1b70a-9f9e-4bf7-82a7-e22a80181220

bp-41789ef4-5d4a-4b4a-956a-98f7e0181220
	12/19/2018	10:40 PM
bp-e4135276-0b10-4d45-8cda-991400181220
	12/19/2018	10:14 PM

Here are unsubmitted reports:
Flags: needinfo?(jyankauer)
Reporter

Comment 4

5 months ago
unsubmitted:

808dee3b-7898-47a4-920b-bb0f60141a9b
	12/22/2018	6:52 PM
Thank you for reporting this.  Which means bug 1333038 continues.

Most of your crash signatures are @ nsMsgLineStreamBuffer::ReadNextLine.  Except for bp-e4135276-0b10-4d45-8cda-991400181220 which is  OOM | large | mozalloc_abort | mozalloc_handle_oom | moz_xrealloc | nsTArray_base<T>::EnsureCapacity<T> | nsTArray_Impl<T>::InsertElementAt<T> | nsCOMArray_base::InsertObjectAt
Blocks: 1294074, 1333038
Severity: normal → critical
Status: UNCONFIRMED → NEW
Crash Signature: [@ nsMsgLineStreamBuffer::ReadNextLine ]
Component: Untriaged → Networking: IMAP
Ever confirmed: true
Keywords: crash
Product: Thunderbird → MailNews Core
Summary: Thunderbird crashes if repairing folder with large amount of messages → Thunderbird crashes @ nsMsgLineStreamBuffer::ReadNextLine if repairing folder with large amount of messages
Assignee

Comment 6

5 months ago
(In reply to Wayne Mery (:wsmwk) from comment #5)
> Thank you for reporting this.  Which means bug 1333038 continues.
Umm, bug 1333038 was fixed in TB 60.4, only bp-9340c66e-1653-46af-b1d4-797810181227 is reported for TB 60.4, the rest is 60.3.3 and one OOM. That said, I missed to fix one call site in bug 1333038 :-( - grrrrr.
Assignee

Comment 7

5 months ago
First reviewer wins. Same as:
https://hg.mozilla.org/comm-central/rev/2dd2b075db9e#l4.12

Only this time, it's not assigned to a member variable so I missed it in my search :-(
Assignee: nobody → jorgk
Status: NEW → ASSIGNED
Attachment #9033559 - Flags: review?(mkmelin+mozilla)
Attachment #9033559 - Flags: review?(geoff)
Attachment #9033559 - Flags: review?(acelists)
Attachment #9033559 - Flags: review?(mkmelin+mozilla)
Attachment #9033559 - Flags: review?(geoff)
Attachment #9033559 - Flags: review?(acelists)
Attachment #9033559 - Flags: review+

Comment 8

5 months ago
Pushed by mozilla@jorgk.com:
https://hg.mozilla.org/comm-central/rev/468c27d25750
Bug 1333038 follow-up: Convert forgotten use of nsMsgLineStreamBuffer to 'modern' pointer. r=darktrojan
Status: ASSIGNED → RESOLVED
Last Resolved: 5 months ago
Resolution: --- → FIXED
Assignee

Updated

5 months ago
Target Milestone: --- → Thunderbird 66.0
Assignee

Updated

5 months ago
Attachment #9033559 - Flags: approval-comm-esr60+
Attachment #9033559 - Flags: approval-comm-beta+
You need to log in before you can comment on or make changes to this bug.